Subject: AW: compiling QT on cygwin(latest stable version) please help
From: "Ralf Habacker" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "chavez" <[email-masked]>
Date: Wed, 16 May 2001 09:09:04 +0200

Hi, qt library 2.3 (without network functionality) (bin and src) is already
available at http://sourceforge.net/projects/kde-cygwin

Regards

Ralf Habacker
EMail: [email-masked]
       [email-masked]

> -----Ursprüngliche Nachricht-----
> Von: [email-masked]
> [mailto:[email-masked]]Im Auftrag von chavez
> Gesendet am: Dienstag, 15. Mai 2001 20:28
> An: [email-masked]
> Betreff: compiling QT on cygwin(latest stable version) please help
>
> I posted something earlier about this...
> I've been trying to get QT to compile using cygwin.  I've checked the
> mailing lists and online information on porting it, and gotten pretty far,
> but now i'm stuck on a problem I have no idea how to fix.  It seems to be
> trying to call a function that it can't find.  I think(I'm a
> newbie at this)
> that the '_imp__' prefix to all the errors means that its is trying to
> access exported functions from another file.
>
> --Output from running 'make'--
> make[5]: Entering directory `/usr/local/qt/tools/designer'
> if [ -d util ]; then cd util ; make; fi
> make[6]: Entering directory `/usr/local/qt/tools/designer/util'
> make[6]: Nothing to be done for `all'.
> make[6]: Leaving directory `/usr/local/qt/tools/designer/util'
> make[5]: Leaving directory `/usr/local/qt/tools/designer'
> make uic
> make[5]: Entering directory `/usr/local/qt/tools/designer'
> if [ -d uic ]; then cd uic ; make; fi
> make[6]: Entering directory `/usr/local/qt/tools/designer/uic'
> g++ -L/usr/local/qt/lib -Wl,-rpath,/usr/local/qt/lib   -o
> /usr/local/qt/bin/uic
> uic.o ../shared/widgetdatabase.o ../shared/domtool.o
> ../integration/kdevelop/kde
> widgets.o   -lqutil -L../lib -lqt  -L/usr/X11R6/lib
> -I/usr/X11R6/include  -l
> SM -
> lICE -lXft -L/usr/X11R6/lib -lGLU -lGL -lXmu  -lXext -lX11 -lm
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x38):qpngio.cpp: undefined
> reference
> to `_imp__png_get_io_ptr'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x70):qpngio.cpp: undefined
> reference
> to `_imp__png_error'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0xab):qpngio.cpp: undefined
> reference
> to `_imp__png_get_io_ptr'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0xdb):qpngio.cpp: undefined
> reference
> to `_imp__png_error'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0xfa):qpngio.cpp: undefined
> reference
> to `_imp__png_get_io_ptr'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x13f):qpngio.cpp: undefined
> reference
>  to `_imp__png_get_valid'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x15c):qpngio.cpp: undefined
> reference
>  to `_imp__png_get_gAMA'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x17f):qpngio.cpp: undefined
> reference
>  to `_imp__png_set_gamma'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x1b0):qpngio.cpp: undefined
> reference
>  to `_imp__png_get_IHDR'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x451):qpngio.cpp: undefined
> reference
>  to `_imp__png_set_packing'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x466):qpngio.cpp: undefined
> reference
>  to `_imp__png_read_update_info'
>
> -- ** GOES ON LIKE THIS FOR PAGES ** --
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x2f45):qpngio.cpp: undefined
> referenc
> e to `_imp__png_get_x_pixels_per_meter'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x2f64):qpngio.cpp: undefined
> referenc
> e to `_imp__png_get_y_pixels_per_meter'
> /usr/local/qt/lib/libqt.a(qpngio.o)(.text+0x2f8c):qpngio.cpp: undefined
> referenc
> e to `_imp__png_get_text'
> collect2: ld returned 1 exit status
> make[6]: *** [/usr/local/qt/bin/uic] Error 1
> make[6]: Leaving directory `/usr/local/qt/tools/designer/uic'
>
>
> >From what I can figure out the functions that it is trying to call are
> located in 'src/3rdparty/libpng/png.c'.  Has anyone come across this
> problem, or know how to fix it?  The header files include <png.h> in
> qpngio.cpp, png.h has a bunch of stuff like this( which i have no
> idea what
> it does, and therefore can't fix ):
> /* Return the user pointer associated with the I/O functions */
> extern PNG_EXPORT(png_voidp,png_get_io_ptr) PNGARG((png_structp png_ptr));
> /* Fatal error in PNG image of libpng - can't continue */
> extern PNG_EXPORT(void,png_error) PNGARG((png_structp png_ptr,
>    png_const_charp error));
>
> Thnx for the help...
> *wave*
>
> ~Michael Chavez, Resident Newbie
>
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple